#
# Copyright (c) 2006-2007 High Performance Computing Center Stuttgart,
#                         University of Stuttgart.  All rights reserved.
#               2009-2010 Instituto de Física de Cantabria,
#                         CSIC - UC. All rights reserved.
#

Summary: A generic startup mechanism for different MPI installation in a cluster/grid
Name: mpi-start
Version: 1.1.0
Release: 1
License: GPLv2
Group: System Environment/Libraries
Source: https://devel.ifca.es/hg/mpi-start/archive/mpi-start-1.1.0.tar.gz
URL: http://devel.ifca.es/mpi-start/
BuildRoot: %{_tmppath}/%{name}-%{version}-rpmroot
BuildArch: noarch
Vendor: EMI
# ETICS as Packager!
Packager: ETICS

%description
A generic startup mechanism for different MPI installation in a cluster/grid.

%prep
%setup -q

%build
cd $RPM_BUILD_DIR/mpi-start-1.1.0
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --libdir=%{_libdir} --mandir=%{_mandir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT/*
cd $RPM_BUILD_DIR/mpi-start-1.1.0
%{__make} destdir=$RPM_BUILD_ROOT install
# do the compression of the man page
ls -ltr $RPM_BUILD_ROOT/%{_mandir}/man1
if [ ! -f $RPM_BUILD_ROOT/%{_mandir}/man1/mpi-start.1.bz2 ] ; then
    rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/*
    cp docs/mpi-start.1.bz2 $RPM_BUILD_ROOT/%{_mandir}/man1/
fi

%clean
rm -rf $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%{_bindir}/mpi-start
%{_sysconfdir}/mpi-start/
%{_datadir}/doc/mpi-start-%{version}/
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/profile.d/mpi_start.sh
%config(noreplace) %{_sysconfdir}/profile.d/mpi_start.csh

%changelog
* Fri Sep 30 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.0-1
- Fixed bugs #38 (https://devel.ifca.es/mpi-start/ticket/38), 
  #31 (https://devel.ifca.es/mpi-start/ticket/31), and
  #35 (https://devel.ifca.es/mpi-start/ticket/35)
- New MPI affinity hook
- New per proc/per socket/per core options for controlling processes
- New man page
- Updated documentation

* Fri Mar 4 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.0.4-1
- Fedora guidelines compliant package.
- See ChangeLog at doc directory.
